Get Transaction
curl --request GET \
--url 'http://127.0.0.1:3000/transaction?id=transaction_id' \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3000/transaction?id=transaction_id"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3000/transaction?id=transaction_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
POS Integration
Get Transaction
When the shop scans the barcode, partner can send the transaction ID to Sonect to get transaction details such as the amount. The cashier can then decide to reject or confirm the transaction.
GET
/
transaction?id=transaction_id
Get Transaction
⌘I

